Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.huihoo.jfox.jmx
Class ExtendedMBeanServerDelegate

    java.lang.Object
      |
      +--javax.management.MBeanServerDelegate
            |
            +--org.huihoo.jfox.jmx.ExtendedMBeanServerDelegate

All Implemented Interfaces:
  MBeanServerDelegateMBean, NotificationBroadcaster

public class ExtendedMBeanServerDelegate
extends MBeanServerDelegate

Author:
  Young Yang

Field Summary

Fields inherited from class javax.management.MBeanServerDelegate
`delegateObjectName, sequence`

Constructor Summary
`ExtendedMBeanServerDelegate()`

Method Summary
`static ObjectName` | `getObjectName()`
`void` | `sendNotification(java.lang.String type, ObjectName objectName, java.lang.String operationName, java.lang.Object[] params)`

Methods inherited from class javax.management.MBeanServerDelegate
`addNotificationListener, getImplementationName, getImplementationVendor, getImplementationVersion, getMBeanServerId, getNotificationInfo, getSpecificationName, getSpecificationVendor, getSpecificationVersion, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtendedMBeanServerDelegate

    public ExtendedMBeanServerDelegate()

Method Detail

### sendNotification

    public void sendNotification(java.lang.String type,
                                 ObjectName objectName,
                                 java.lang.String operationName,
                                 java.lang.Object[] params)

### getObjectName

    public static ObjectName getObjectName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD